/**
* DevExtreme (ui/file_uploader.d.ts)
* Version: 19.1.7 (build 19296-1028)
* Build date: Wed Oct 23 2019
*
* Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxFileUploader(): JQuery;
    dxFileUploader(options: "instance"): DevExpress.ui.dxFileUploader;
    dxFileUploader(options: string): any;
    dxFileUploader(options: string, ...params: any[]): any;
    dxFileUploader(options: DevExpress.ui.dxFileUploaderOptions): JQuery;
}
}
export default DevExpress.ui.dxFileUploader;
export type Options = DevExpress.ui.dxFileUploaderOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxFileUploaderOptions;